/*
 File: testout_err_symbols.cpp
 Date and Time: Mon Jun  9 08:45:19 2014 
*/
#include "testout_err_symbols.h"
  using namespace NS_testout_err_symbols;
  using namespace NS_testout_T_enum;
Err_no_cmd_lne_data::
Err_no_cmd_lne_data()
 T_CTOR("no cmd-lne-data",T_Enum::T_Err_no_cmd_lne_data_,0,false,false){}
Err_no_filename::
Err_no_filename()
 T_CTOR("no filename",T_Enum::T_Err_no_filename_,0,false,false){}

		Err_bad_filename::
		Err_bad_filename(std::string& File_name)
      T_CTOR("bad filename",T_Enum::T_Err_bad_filename_,0,false,false)
		  {file_name_ += File_name.c_str();}
		Err_bad_filename::
		Err_bad_filename(const char* File_name)
      T_CTOR("bad filename",T_Enum::T_Err_bad_filename_,0,false,false)
		  {file_name_ += File_name;}
		std::string* Err_bad_filename::file_name(){return &file_name_;}
	Err_bad_T_inputted::
Err_bad_T_inputted()
 T_CTOR("Bad T inputted",T_Enum::T_Err_bad_T_inputted_,0,false,false){}
